> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/tasks/post-tasks-delete/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Deletes tasks and optionally related time entries. POST https://api.awork.com/api/v1/tasks/delete Content-Type: application/json Deletes tasks and optionally related time entries. Related time entries are removed when requested. The user must have permission to access the requested resource. Reference: https://developers.awork.com/apiv1/tasks/post-tasks-delete ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a TasksDeleteForm. - `taskIds` (list of string, required) — List of tasks to be deleted. - `deleteTimeTrackings` (boolean, optional) — Set to true to also delete the related time trackings. If it is set to false, the related time trackings will still be there, but the project and task reference will be cleared. This will also happen if no request body is present. ## Response ### 207 Multi-Status ## Errors ### 400 Bad Request Error Bad Request - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Request** ```json { "taskIds": [ "123e4567-e89b-12d3-a456-426614174000" ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/tasks/delete" payload = { "taskIds": ["123e4567-e89b-12d3-a456-426614174000"] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/tasks/delete'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"taskIds":["123e4567-e89b-12d3-a456-426614174000"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/tasks/delete" payload := strings.NewReader("{\n \"taskIds\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/tasks/delete") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"taskIds\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.awork.com/api/v1/tasks/delete") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"taskIds\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.awork.com/api/v1/tasks/delete', [ 'body' => '{ "taskIds": [ "123e4567-e89b-12d3-a456-426614174000" ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/tasks/delete"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"taskIds\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["taskIds": ["123e4567-e89b-12d3-a456-426614174000"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/tasks/delete")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```